Subject: Re: Problems building b18 under win95
From: [email-masked] (Geoffrey Noer)

19 May 1997 22:36:13 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (David Fiddes)
Original-Cc: [email-masked], [email-masked] (Geoffrey Noer)
In-Reply-To: <[email-masked]> from "David Fiddes" at May 15, 97 11:08:11 am
X-Mailer: ELM [version 2.4 PL23]
Original-Sender: [email-masked]

David Fiddes wrote:
> 
> I'm having quite a few problems rebuilding a "plain vanilla" version of gcc
> for win32.
[...]
> tar: Could not change access and modification times of cdk: Permission
> denied

Should be pretty harmless I think.

[...]
> gcc -O2 -c -D_GNU_SOURCE -I. -I/cdk/binutils -I../bfd -I/cdk/binutils/../bfd
>  -I/cdk/binutils/../include  -O2 deflex.c
> gcc -O2  -O2  -o dlltool dlltool.o defparse.o deflex.o bucomm.o version.o
> filemode.o -L../bfd -lbfd ../libiberty/libiberty.a  
> make: DLLTOOL@: Command not found
> make: *** [libtcl7.6.a] Error 127
> make: *** [all] Error 2
> make: *** [all-tcl] Error 2
> 
> I'm not sure what to do. Is this a problem with my setup or does it just
> not build under 95 at all.

There is a known problem with building the distribution under both Win 95
and NT -- I think for configuration reasons tcl, tk, and gdbtk cannot
be rebuilt under NT and Win95, only cross-built under the Unix of your
choice.  (This part of b18 is more work-in-progress than the rest).

If you configure the sources adding a "--disable-gdbtk", it will build
the command-line version of gdb without the GUI and that should work
better.  If you only want to rebuild gcc, you might want to invoke
make with "make all-gcc" and then "make install-gcc" to avoid build
failures in tcl, tk, and/or gdb.  Alternatively, configure with
"--disable-gdbtk" and then build with "make -k" and install with "make -k
install" which tells make to try to kontinue past any build problems...

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".